<ion-header>
    <ion-toolbar>
      <ion-buttons slot="start">
        <ion-menu-button></ion-menu-button>
      </ion-buttons>
      <ion-title>SAFE</ion-title>
    </ion-toolbar>
  </ion-header>

<ion-content>
    <div class="ion-padding">
        <p><font size="7"><b>Contacto</b></font></p>
        <p><font size="3"><b>Reinicie la app despues de agregar o editar su contacto de emergencia</b></font></p>
        <ion-button *ngIf="panel==true" (click)="registarL()">Mostrar panel de registro</ion-button>
    </div>
    <div *ngIf="registar==false" class="ion-padding">
        <ion-item>
            <ion-label position="floating">Nombre</ion-label>
            <ion-input  [(ngModel)]="nombre"></ion-input>
          </ion-item>
          <ion-item>
              <ion-label position="floating">Apellido</ion-label>
              <ion-input  [(ngModel)]="surname"></ion-input>
          </ion-item>
          <ion-item>
              <ion-label position="floating">Número de telefono</ion-label>
              <ion-input  [(ngModel)]="tel"></ion-input>
          </ion-item>
          <ion-button *ngIf="editando==false" (click)="anadir()">Guardar</ion-button>
          <ion-button color="secondary" *ngIf="editando==true" (click)="anadirE()">Guardar</ion-button>
    </div>
    <div *ngIf="registar==true" class="ion-padding">
        <ion-card *ngFor= "let lname of lnames">
            <ion-card-header>
                <ion-card-title>{{lname.name}} {{lname.surname}}</ion-card-title>
              </ion-card-header>
            
              <ion-card-content>
                <p>Telefono: {{lname.tel }}</p>
              </ion-card-content>
              <ion-button (click)="editar(lname.id)">Editar</ion-button>
              <ion-button color="danger" (click)="eliminar(lname.id)">Eliminar</ion-button>
        </ion-card>
    </div>
</ion-content>
